// OutputSignalDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DiagramEng.h"
#include "OutputSignalDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COutputSignalDialog dialog


COutputSignalDialog::COutputSignalDialog(CWnd* pParent /*=NULL*/)
	: CDialog(COutputSignalDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(COutputSignalDialog)
	m_strOutputSignal = _T("");
	//}}AFX_DATA_INIT
}


void COutputSignalDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COutputSignalDialog)
	DDX_Text(pDX, ID_OUTPUT_SIG_DLG_VALUE, m_strOutputSignal);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COutputSignalDialog, CDialog)
	//{{AFX_MSG_MAP(COutputSignalDialog)
	ON_BN_CLICKED(ID_OUTPUT_SIG_DLG_BTN_OK, OnOutputSignalDlgBtnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COutputSignalDialog message handlers

void COutputSignalDialog::OnOutputSignalDlgBtnOk() 
{
	// TODO: Add your control notification handler code here
	
	// DiagramEng (start)

	//AfxMessageBox("\n COutputSignalDialog::OnOutputSignalDlgBtnOk()\n", MB_OK, 0);
	
	// Update variable values with the Dlg Wnd control values
	UpdateData(TRUE);

	// Close the dialog wnd with OnOK()
	OnOK();

	// DiagramEng (end)
}
